[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'gpm' (#rtl)

# gpm_pushroi

Push region of interest on the stack.

## Declaration

Source position: gpm.pp line 193

`function gpm_pushroi(`
`x1: LongInt;`
`y1: LongInt;`
`x2: LongInt;`
`y2: LongInt;`
`mask: LongInt;`
`fun: TGpmHandler;`
`xtradata: pointer`
`):Pgpm_roi;`

## Description

Gpm_PushRoi puts a new region of interest on the stack. The region of interest is defined by a rectangle described by the corners (X1,Y1) and (X2,Y2).

The mask describes which events the handler {fun} will handle; ExtraData will be put in the xtradata field of the {TGPM_Roi} record passed to the fun handler.

## Errors

None.

## See also

Gpm_RaiseRoi |  | Raise region of interest in the stack.
Gpm_PopRoi |  | Pop region of interest from the stack.
Gpm_LowerRoi |  | Lower a region of interest in the stack.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.